Opgradering af UbuntuServer 14.04.4 LTS til 16.04 LTS

tarj1974
Antal: 62
Tilmeldt:
30-03-2014
User is offline
Opgradering af UbuntuServer 14.04.4 LTS til 16.04 LTS

Hej Folkens i Linuxin.dk :D

Kører med Ubuntu Server 14.04.4 LTS.
Ønsker at opgradere det til 16.04 LTS. Har forsøgt med ” Xenial” i ”/etc/apt/sources.list” ,
og så ”sudo apt-get update” og ”sudo apt-get dist-upgrade”
Men under "dist-upgrade" optræder der et problem med opsætning af PHP og phpmyadmin. Og da jeg fik sat det forkert op, fik jeg efter installation en fejlmeddelelse om, at "mbstring" skal konfigureres. Så jeg gik tilbage til den gamle installation.
Hvad præcist skal man gøre her?

Jeg bruger som regel phpmyadmin når jeg skal have oprettet/nedlagt en database til ”Joomla!”. Så det er ret essentielt at den virker.

Jeg får i forvejen fejlen ”Forbindelse for kontrolbruger som defineret i din konfiguration slog fejl.”
Hvad præcist skal man gøre her?

Håber at I vil klare opgaverne :)

Mvh,
Thomas :)


Ivan
Antal: 41
Tilmeldt:
20-11-2012
User is offline

tarj1974
Antal: 62
Tilmeldt:
30-03-2014
User is offline
Måtte bruge: "sudo

Måtte bruge: "sudo do-release-upgrade -d"
"-d" for developer version (?).
Ellers skriver den, at der ikke er en upgrade(?).
Den står på LTS i /etc/update-manager/release-upgrades

Fik igen problemer med "mbstring", og phpmyadmin virker derfor ikke
og "Joomla!" 2.5 er ikke ordenligt understøttet, men man kan vist nok opgradere den "Joomla!" version til 3.5.1, med den seneste "Joomla!" upgrade :)

Er igen gået tilbage til 14.04.4 LTS

Mvh,
Thomas